## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanStdOutputStream::XalanStdOutputStreamWriteException Class Reference

Inheritance diagram for XalanStdOutputStream::XalanStdOutputStreamWriteException:

[legend]
Collaboration diagram for XalanStdOutputStream::XalanStdOutputStreamWriteException:

[legend]
List of all members.

## Public Member Functions

- XalanStdOutputStreamWriteException (int theErrorCode, XalanDOMString &theResult)
- virtual ~XalanStdOutputStreamWriteException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XalanStdOutputStream::XalanStdOutputStreamWriteException::XalanStdOutputStreamWriteException | ( | int | theErrorCode,
|  | XalanDOMString & | theResult
| ) |

virtual XalanStdOutputStream::XalanStdOutputStreamWriteException::~XalanStdOutputStreamWriteException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XalanStdOutputStream::XalanStdOutputStreamWriteException::getType | ( |  | ) | const`[virtual]`

Retrieve type of exception.

Returns:
  type of exception

Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanStdOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.